Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class AllowCurrentUserAccessPredicate.DefaultCurrentUserComparisonPredicate

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.AllowCurrentUserAccessPredicate.DefaultCurrentUserComparisonPredicate

All Implemented Interfaces:
  `BiPredicate<ProfileRequestContext,Pair<String,String>>`

Enclosing class:
  AllowCurrentUserAccessPredicate

public static class AllowCurrentUserAccessPredicate.DefaultCurrentUserComparisonPredicate extends Object implements BiPredicate<ProfileRequestContext,Pair<String,String>>
Default comparison predicate which just compares the equality of the input strings.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`DefaultCurrentUserComparisonPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext profileRequestContext, Pair<String,String> usernamePair)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

## Field Details

### log

@Nonnull @NotEmpty private final org.slf4j.Logger log
Class logger.

## Constructor Details

### DefaultCurrentUserComparisonPredicate

public DefaultCurrentUserComparisonPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext profileRequestContext, @Nullable Pair<String,String> usernamePair)

Specified by:
  `test` in interface `BiPredicate<ProfileRequestContext,Pair<String,String>>`